2018-11-13 16:36 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003664WHDLoad[All Projects] Generalpublic2017-12-24 14:50
Reporterwhaka 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version18.3 
Target Version18.4Fixed in Version18.4beta 
Summary0003664: system crash at every whdload exiting
Descriptionwhdload crash entire system everytime when exiting.
(i choose 18.3beta, but it's well the 18.3 final)
Steps To Reproducesimply by exiting game/demo
Additional Information--------------------------------------------------------------------------------
Date : Saturday 08-Apr-17 03:31:06
Task : 080020D4 "Unknown"
Error : 80000025 (DEADEND)
By : System: no alert occured
Cause : Uninitialized TRAP #5 vector
--------------------------------------------------------------------------------
Date : Saturday 08-Apr-17 03:32:22
Task : 080020D4 "Unknown"
Error : 80000025 (DEADEND)
By : System: no alert occured
Cause : Uninitialized TRAP #5 vector
--------------------------------------------------------------------------------
Date : Saturday 08-Apr-17 03:40:44
Task : 080020D4 "Unknown"
Error : 80000025 (DEADEND)
By : System: no alert occured
Cause : Uninitialized TRAP #5 vector
-------------------------------------------------------------------------
TagsNo tags attached.
MachineA3000
CPU68060
CPUSpeed75
ChipSetECS
GFXCardCyberVision 64
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.3beta
Attached Files
  • ? file icon GuruHistory (957 bytes) 2017-04-09 04:41 -
    Date  : Saturday 08-Apr-17 03:25:26
    Task  : 080020D4 "Unknown"
    Error : 80000025 (DEADEND)
    By    : System: no alert occured
    Cause : Uninitialized TRAP #5 vector
    --------------------------------------------------------------------------------
    Date  : Saturday 08-Apr-17 03:31:06
    Task  : 080020D4 "Unknown"
    Error : 80000025 (DEADEND)
    By    : System: no alert occured
    Cause : Uninitialized TRAP #5 vector
    --------------------------------------------------------------------------------
    Date  : Saturday 08-Apr-17 03:32:22
    Task  : 080020D4 "Unknown"
    Error : 80000025 (DEADEND)
    By    : System: no alert occured
    Cause : Uninitialized TRAP #5 vector
    --------------------------------------------------------------------------------
    Date  : Saturday 08-Apr-17 03:40:44
    Task  : 080020D4 "Unknown"
    Error : 80000025 (DEADEND)
    By    : System: no alert occured
    Cause : Uninitialized TRAP #5 vector
    -------------------------------------------------------------------------
    ? file icon GuruHistory (957 bytes) 2017-04-09 04:41 +
  • ? file icon WHDLoad.18.3.5847 (144,552 bytes) 2017-04-11 23:35

-Relationships
related to 0003701resolvedWepl WHDLoad causes Amiga 4000 to reboot when quit key used 
+Relationships

-Notes

note ~0005539

whaka (reporter)

to complete my configuration :

cyberstorm mk3
deneb (with custom kickstart in the flashrom)
x-surf 100
prisma megamix

note ~0005544

Wepl (manager)

Did you try beta versions of 18.3 before?

note ~0005551

whaka (reporter)

no, i directly jumped from 18.2

note ~0005554

Wepl (manager)

Please try if the attached WHDLoad has the problem.

note ~0005556

whaka (reporter)

tests done, and no problem with this one.

note ~0005557

Wepl (manager)

So this problem is introduced by switching the input.device off/on.
Do you have any patches running?
Please try to disable extra software to isolate which combination causes the problem.
First you could start without startup-sequence and check if new WHDLoad works then.

note ~0005560

whaka (reporter)

ok, i tried in order :

twice without startup-sequence, but with my custom kickstart 3.9 in deneb flashrom.
still crashing on exiting.

then,
once without startup-sequence, but with original kickstart 3.1.
things are ok.

so, it seems there's a guilty things in my deneb.
except poseidon stack, and my kickstart, there's nothing else in the flashrom.
do you think the custom kickstart could be the cause ?

note ~0005561

whaka (reporter)

i have the answer.
i removed my kickstart, and only let poseidon stack (4.5) in the deneb.
and it crash. so, the issue seems to be with poseidon, or the deneb flashrom.

note ~0005562

Wepl (manager)

have running input devices (keyboard/mouse) connected via usb/deneb?

note ~0005563

whaka (reporter)

no.
mouse, keyboard and pad are connected on the amiga ports.

note ~0005709

Wepl (manager)

I have removed the input.device from in the official beta 18.4.

note ~0005966

whaka (reporter)

sorry for delay...
yep, work fine now. thanks, and merry christmas :)
+Notes

-Issue History
Date Modified Username Field Change
2017-04-09 04:41 whaka New Issue
2017-04-09 04:41 whaka File Added: GuruHistory
2017-04-09 04:58 whaka Note Added: 0005539
2017-04-09 21:25 Wepl Product Version 18.3beta => 18.3
2017-04-10 10:02 Wepl Assigned To => Wepl
2017-04-10 10:02 Wepl Status new => assigned
2017-04-10 10:03 Wepl Note Added: 0005544
2017-04-11 02:45 whaka Note Added: 0005551
2017-04-11 23:35 Wepl File Added: WHDLoad.18.3.5847
2017-04-11 23:35 Wepl Note Added: 0005554
2017-04-12 07:16 whaka Note Added: 0005556
2017-04-12 09:37 Wepl Note Added: 0005557
2017-04-13 01:21 whaka Note Added: 0005560
2017-04-13 01:52 whaka Note Added: 0005561
2017-04-13 11:43 Wepl Note Added: 0005562
2017-04-13 18:00 whaka Note Added: 0005563
2017-08-10 22:51 Wepl Note Added: 0005709
2017-08-10 22:52 Wepl Status assigned => resolved
2017-08-10 22:52 Wepl Resolution open => fixed
2017-08-10 22:52 Wepl Fixed in Version => 18.4beta
2017-08-10 22:52 Wepl Target Version => 18.4
2017-10-02 13:05 Wepl Relationship added related to 0003701
2017-12-24 14:50 whaka Note Added: 0005966
+Issue History